Bug 148797 - RFE: new query tag for db header number
RFE: new query tag for db header number
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 12:50 EST by Eric Sandeen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 18:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2005-02-15 12:50:37 EST
Would be nice to have a query tag that would present the database header number,
to easily extract the installation order of a set of packages.
Comment 1 Jeff Johnson 2005-10-25 18:10:48 EDT
Each header now carries it's origin and instance, accessible as header methods.
The origin (i.e. the path from which the package was installed) can be displayed
by
    rpm -qa --qf '%{packageorigin}\n'

Adding the header instance number as a tag would be messy, as the value
is not a constant, but is reassigned each and every --rebuilddb.

FWIW, the instance number has almost nothing to do with installation order.

Note You need to log in before you can comment on or make changes to this bug.